%define name	gnofin
%define version	0.8.4
%define release	8mdk

Name:		%{name}
Summary:	A simple money management application for GNOME
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
Source:		%{name}-%{version}.tar.bz2
URL:		http://gnofin.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}
Source10:    %{name}.16.png.bz2
Source11:    %{name}.32.png.bz2
Source12:    %{name}.48.png.bz2
BuildRequires: gnome-libs-devel, ORBit-devel, XFree86-devel
BuildRequires: libxml-devel

%description
Gnofin is a light-weight personal finance application for GNOME well-suited for
helping you keep your checkbook and savings accounts up-to-date.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%configure

make

%install

%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}/gnofin/plugins/*.a

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(gnofin): \
  needs=x11\
  longtitle="A personal finance application for GNOME"\
  section="Applications/Finances" \
  title=Gnofin\
  command=%{_bindir}/gnofin\
  icon="%{name}.png"		
EOF

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.*
%{_bindir}/gnofin
%{_libdir}/gnofin
%{_datadir}/gnome/apps/*/*
%{_mandir}/man1/gnofin.1*
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 0.8.4-8mdk
- buildrequires

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.8.4-7mdk
- rebuild
- xpm2png

* Wed Oct 31 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.8.4-6mdk
- icon-menu

* Mon Oct 22 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.8.4-5mdk
- longtitle

* Mon Oct 22 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 0.8.4-4mdk
- license

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-3mdk
- New office menu structure

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-2mdk
- rebuild

* Thu Dec 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- updated to 0.8.4

* Fri Nov  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.8.3-1mdk
- initial Mandrake version
